GET /rest/employees/{employee}/compliance/{start}/{end}
curl --request GET \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/compliance/{start}/{end} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/compliance/{start}/{end}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/compliance/{start}/{end}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employee_id": "<string>",
"period": {
"start": "<string>",
"end": "<string>"
},
"summary": {
"days_over_10h": 123,
"days_over_8h": 123,
"rest_period_violations": 123,
"continuous_work_violations": 123,
"night_work_days": 123,
"night_work_total_ms": 123,
"night_worker_limit_violations": 123,
"total_violation_days": 123
},
"weekly_hours": [
{
"week": "<string>",
"net_work_ms": "<string>",
"exceeded": true
}
],
"rolling_average": {
"period_weeks": 123,
"average_weekly_hours_ms": 123,
"limit_ms": "<string>",
"exceeded": true
},
"night_work": {
"total_ms": 123,
"monthly": [
{
"month": "<string>",
"night_ms": "<string>",
"days": "<string>"
}
],
"is_night_worker": "<string>",
"classification_reason": "<string>"
},
"sunday_holiday_work": {
"worked_sundays": 123,
"free_sundays": "<string>",
"total_sundays": 123,
"free_sundays_minimum": 123,
"free_sundays_ok": "<string>",
"worked_holidays": 123,
"worked_sunday_dates": [
"<string>"
],
"worked_holiday_dates": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Compliance (ArbZG)
Compliance einer Person
Returns aggregated ArbZG compliance data for a single employee.
GET
/
employees
/
{employee}
/
compliance
/
{start}
/
{end}
GET /rest/employees/{employee}/compliance/{start}/{end}
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I